<h2 class="ServicesTitle"><img _ngcontent-serverapp-c26="" alt="logo" class="img-fluid pr-2 titleleftimg"
        src=" ../../assets/images/icn_payrollprocessicn_payrollprocess_black.png">Payroll Run</h2>
<div class="card formFieldsBlock">
    <div class="col-sm-12">
        <div class="row">
            <div class="col-sm-3 text-center headingProcess">Process</div>
            <div class="col-sm-3 text-center headingProcess">Month</div>
            <div class="col-sm-3 text-center headingProcess">Year</div>
            <div class="col-sm-3"></div>
        </div>

        <form [formGroup]="PayrollForm" (ngSubmit)="onPayrollSubmit()" #payrollFormEl="ngForm">
            <div class="row">
                <div class="col-sm-3">
                    <mat-form-field appearance="standard">
                        <mat-label>Process</mat-label>
                        <mat-select formControlName="Payroll">
                            <mat-option value="Payroll Run">Payroll Run</mat-option>
                            <mat-option value="Costing">Costing</mat-option>
                            <mat-option value="Prepayment Process">Prepayment Process</mat-option>
                            <mat-option value="Payroll for Single Employee">Payroll for Single Employee</mat-option>
                        </mat-select>
                        <mat-error *ngIf="PayrollForm.controls['Payroll'].errors?.required &&
            PayrollForm.controls['Payroll'].touched">
                            Please Select Process.
                        </mat-error>
                    </mat-form-field>
                    <mat-form-field appearance="standard" *ngIf="PayrollForm.controls['Payroll'].value === 'Payroll for Single Employee'">
                        <mat-label>Employee Name</mat-label>
                        <mat-select name="employeeName" formControlName="empId">
                            <mat-option *ngFor="let employee of employees" [value]="employee.employeeNumber">
                                {{employee.firstName}}
                            </mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>
                <div class="col-sm-3">
                    <mat-form-field appearance="standard">
                        <mat-label>Month</mat-label>
                        <mat-select formControlName="MonthVal">
                            <mat-option *ngFor="let month of monthArr; let i = index;" [value]="i+1" (click)="setYearRange(month)">{{month}}</mat-option>
                        </mat-select>
                        <mat-error *ngIf="PayrollForm.controls['MonthVal'].errors?.required &&
            PayrollForm.controls['MonthVal'].touched">
                            Please Select Month.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-3">

                    <mat-form-field appearance="standard">
                        <mat-label>Year</mat-label>
                        <input matInput id="year" (click)="dp.open()" [min]="minDate" [max]="maxDate" [matDatepicker]="dp" formControlName="dateVal">
                        <mat-datepicker-toggle matSuffix [for]="dp"></mat-datepicker-toggle>
                        <mat-datepicker #dp startView="multi-year" (yearSelected)="chosenYearHandler($event,dp)"
                            panelClass="example-month-picker">
                        </mat-datepicker>
                        <mat-error *ngIf="PayrollForm.controls['dateVal'].errors?.required &&
          PayrollForm.controls['dateVal'].touched">
                            Please Select Year.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-3 text-center btn-grp">
                    <button mat-raised-button [disabled]="!PayrollForm.valid && !PayrollForm.controls['dateVal'].value" class="submit-btn"> Run Process</button>
                </div>
            </div>
        </form><br><br>

        <!-- <form [formGroup]="PayrollRegForm" (ngSubmit)="onSubmit()">
            <div class="row">
                <div class="col-sm-3">
                    <mat-form-field appearance="standard">
                        <mat-label>Process</mat-label>
                        <mat-select formControlName="Register">
                            <mat-option value="Payroll Run">Payroll Register</mat-option>

                        </mat-select>
                        <mat-error *ngIf="PayrollRegForm.controls['Register'].errors?.required &&
              PayrollRegForm.controls['Register'].touched">
                            Please Select Process.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-3">
                    <mat-form-field appearance="standard">
                        <mat-label>Month</mat-label>
                        <mat-select formControlName="MonthVal1">
                            <mat-option value="January">January</mat-option>
                            <mat-option value="February">February</mat-option>
                            <mat-option value="March">March</mat-option>
                            <mat-option value="April">April</mat-option>
                            <mat-option value="May">May</mat-option>
                            <mat-option value="June">June</mat-option>
                            <mat-option value="July">July</mat-option>
                            <mat-option value="August">August</mat-option>
                            <mat-option value="September">September</mat-option>
                            <mat-option value="October">October</mat-option>
                            <mat-option value="November">November</mat-option>
                            <mat-option value="December">December</mat-option>
                        </mat-select>
                        <mat-error *ngIf="PayrollRegForm.controls['MonthVal1'].errors?.required &&
              PayrollRegForm.controls['MonthVal1'].touched">
                            Please Select Month.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-3">
                    <mat-form-field appearance="standard">
                        <mat-label>Year</mat-label>
                        <input matInput (click)="dpY.open()" [matDatepicker]="dpY" formControlName="YearVal1">
                        <mat-datepicker-toggle matSuffix [for]="dpY"></mat-datepicker-toggle>
                        <mat-datepicker #dpY startView="multi-year" (yearSelected)="chosenYearHandler1($event,dpY)"
                            panelClass="example-month-picker">
                        </mat-datepicker>
                        <mat-error *ngIf="PayrollRegForm.controls['YearVal1'].errors?.required &&
            PayrollRegForm.controls['YearVal1'].touched">
                            Please Select Year.
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="col-sm-3 text-center btn-grp">
                    <button mat-raised-button [disabled]="!PayrollRegForm.valid" class="submit-btn"> Dashboard</button>
                </div>
            </div>
        </form> -->
    </div>
</div><br>
<h4>Payroll Status</h4>
<div class="mat-elevation-z0">
    <table mat-table [dataSource]="dataSource">

        <!-- Position Column -->
        <!-- <ng-container matColumnDef="position">
      <th mat-header-cell *matHeaderCellDef> No. </th>
      <td mat-cell *matCellDef="let element"> {{element.position}} </td>
    </ng-container>      -->

        <!-- Payroll Month Column -->
        <ng-container matColumnDef="tabMonthVal">
            <th mat-header-cell *matHeaderCellDef> Payroll Month </th>
            <td mat-cell *matCellDef="let element"> {{element.monthInText}} 
                <span matTooltip="{{element.ebsResponseMessage}}" class="infor-error" *ngIf="!!element.ebsResponseMessage">Info</span>
            </td>
        </ng-container>

        <!-- Payroll Year Column -->
        <ng-container matColumnDef="tabYearVal">
            <th mat-header-cell *matHeaderCellDef> Payroll Year </th>
            <td mat-cell *matCellDef="let element"> {{element.year}} </td>
        </ng-container>

        <!-- Process Name Column -->
        <ng-container matColumnDef="ProcessName">
            <th mat-header-cell *matHeaderCellDef> Process Name </th>
            <td mat-cell *matCellDef="let element"> {{element.runPayrollType}} </td>
        </ng-container>

        <!-- Status Column -->
        <ng-container matColumnDef="Status">
            <th mat-header-cell *matHeaderCellDef> Status </th>
            <td mat-cell *matCellDef="let element"> {{element.status}} </td>
        </ng-container>

        <!-- Symbol Column -->
        <ng-container matColumnDef="ActionVal">
            <th mat-header-cell *matHeaderCellDef> Action </th>
            <td mat-cell *matCellDef="let element">
                <span class="Closed" (click)="onUpdatePayroll(element.pk, 'COMMIT')"
                    *ngIf="element.status=='COMPLETED'"> Commit </span>
                <span (click)="onUpdatePayroll(element.pk, 'ROLLBACK')" class="Commit"
                    *ngIf="element.status=='IN_PROGRESS'"> Cancel</span>
                <span (click)="onUpdatePayroll(element.pk, 'ROLLBACK')" class="Rollback"
                    *ngIf="element.status=='ERROR' || element.status=='COMPLETED'"> Rollback </span></td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>

    <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
</div>